import { ElementRef, EventEmitter, OnInit, Renderer2 } from '@angular/core';
import { Observable, Subject } from "rxjs";
export declare class SliderComponent implements OnInit {
    private renderer;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    onChange: (value: any) => void;
    onTouched: () => void;
    registerOnChange(fn: (_: any) => {}): void;
    registerOnTouched(fn: () => {}): void;
    writeValue(value: any): void;
    dot: ElementRef;
    dotEnd: ElementRef;
    sliderEle: ElementRef;
    range: number;
    private _step;
    atMode: string;
    private _marks;
    atValueChange: EventEmitter<any>;
    private _sliderValue;
    marks: any[];
    readonly markDots: {
        title: any;
        left: number;
    }[];
    readonly marksArray: any[];
    sliderValue: number;
    labelValue(index: any): number;
    readonly inkPercentage: number;
    readonly inkLeft: any;
    sortPercentage(): any;
    step: number;
    sliderPercentage: {
        start: number;
        end: number;
    };
    isSliding: Subject<any>;
    visible$: Observable<boolean>;
    activeIndex: string;
    currentVisible(index: any): boolean;
    ngAfterViewInit(): void;
    markInRange(left: any): boolean;
    /**
     * return {x:,y:}
     */
    findClosestValue(rect: any): any;
    /**
     * jquery offset
     */
    getElementOffset(elem: HTMLElement): {
        top: number;
        left: number;
    };
    stepToArray(range: any, step: any): any[];
    closest(arr: any, num: any): any;
}
